
Redmine - Defect #40874

Status change by commit

2024-06-21 08:35 - Brice Beaumesnil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Hello,

If you configure an action on a commit which changes the state of a ticket using a keyword, this ticket is modified to this state even if

the state in question is not part of its workflow . As a result, it is impossible to modify it later for anyone, even the admin. The admin

must then modify the tracker workflow to remove the ticket from this state. This action should not be carried out if the state concerned

is not part of its workflow.

Best regards

Related issues:

Has duplicate Redmine - Defect #13762: SCM auto status change bypassses roles... Confirmed

History

#1 - 2024-06-22 08:32 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate or #13762.

#2 - 2024-06-22 08:32 - Go MAEDA

- Has duplicate Defect #13762: SCM auto status change bypassses roles and permissions added
